import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
  DeleteDateColumn,
  VersionColumn,
  CreateDateColumn, ManyToOne, ManyToMany, JoinTable, OneToOne,
} from 'typeorm';
import { Product } from '../../product/entities/product.entity';
import { User } from '../../users/entities/user.entity';
import { BaseModel } from '../../config/basemodel.entity';
import { ProductCategories } from '../../product/entities/product-category.entity';
import { COA } from './coa.entity';
import { Transactions } from './transactions.entity';
import { TransactionType } from './transaction-type.entity';

enum type {
  SYSTEM_BANk,
  INCOME,
}

enum balanceType {
  DEBIT,
  CREDIT,
}

@Entity()
export class TransactionJournal extends BaseModel {
  @Column('text')
  type: type;

  @Column()
  amount: number;

  @OneToOne(() => Transactions, (trans) => trans.id)
  transaction: Transactions;

  @ManyToOne(() => COA, (coa) => coa.id)
  coa: COA;

  @ManyToOne(() => TransactionType, (transType) => transType.id)
  transactionType: TransactionType;
}
