import { Module } from '@nestjs/common';
import { TransactionService } from './transaction.service';
import { TransactionController } from './transaction.controller';
import { PpobCallbackController } from './ppob_callback.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { COA } from './entities/coa.entity';
import { CoaType } from './entities/coa-type.entity';
import { TransactionType } from './entities/transaction-type.entity';
import { TransactionJournal } from './entities/transaction-journal.entity';
import { Transaction } from './entities/transactions.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([
      CoaType,
      TransactionType,
      COA,
      TransactionJournal,
      Transaction,
    ]),
  ],
  controllers: [TransactionController, PpobCallbackController],
  providers: [TransactionService],
})
export class TransactionModule {}
