import { Injectable } from '@nestjs/common';
import { DistributeTransactionDto } from './dto/distribute-transaction.dto';
import { UpdateTransactionDto } from './dto/update-transaction.dto';
import { InjectRepository } from '@nestjs/typeorm';
import { Transactions } from './entities/transactions.entity';
import { Repository } from 'typeorm';
import { User } from '../users/entities/user.entity';
import { TransactionType } from './entities/transaction-type.entity';
import { TransactionJournal } from './entities/transaction-journal.entity';

@Injectable()
export class TransactionService {
  constructor(
    @InjectRepository(Transactions)
    private transactionRepository: Repository<Transactions>,
    @InjectRepository(TransactionType)
    private transactionType: Repository<TransactionType>,
    @InjectRepository(TransactionJournal)
    private transactionJournal: Repository<TransactionJournal>,
    @InjectRepository(User)
    private userRepository: Repository<User>,
  ) {}

  async create(distributeTransactionDto: DistributeTransactionDto) {
    // GET USER
    // GET COA
    // GET TYPE TRANSAKSI

    //ADD USER IN INSERT
    const transactionSaved = await this.transactionRepository.insert({
      amount: distributeTransactionDto.amount,
    });

    //INSERT TRANSACTION JOURNAL
    await this.transactionJournal.insert({
      amount: distributeTransactionDto.amount,
      transaction: transactionSaved.identifiers[0],
    });

    return true;
  }

  findAll() {
    return `This action returns all transaction`;
  }

  findOne(id: number) {
    return `This action returns a #${id} transaction`;
  }

  update(id: number, updateTransactionDto: UpdateTransactionDto) {
    return `This action updates a #${id} transaction`;
  }

  remove(id: number) {
    return `This action removes a #${id} transaction`;
  }
}
